import EuiBasePage from '../eui-base.po.js'
import CoUxBadgeGroup from '../../../../components/10x/ux/ux-badge-group.js'

export default class BadgeGroupPage extends EuiBasePage {
  constructor() {
      super();
  }
  badgeGroupByIndex(index) {
    let badgeGroup =  new CoUxBadgeGroup(this.mainContent);
    return badgeGroup.byIndex(index);
  }
  badgeGroupByTextContains(text) {
    let badgeGroup = new CoUxBadgeGroup(this.mainContent);
    return badgeGroup.byTextContains(text);
  }
  badgeGroupByTextEqualsAndIndex(text, index, normalize=true) {
    let badgeGroup = new CoUxBadgeGroup(this.mainContent);
    return badgeGroup.byTextEqualsAndIndex(text, index, normalize);
  }
  badgeGroupByTextContainsAndIndex(text, index, normalize=true) {
    let badgeGroup = new CoUxBadgeGroup(this.mainContent);
    return badgeGroup.byTextContainsAndIndex(text, index, normalize);
  }
  badgeGroupFromSectionByIndex(sectionId, index) {
    let badgeGroup = new CoUxBadgeGroup(this.sectionById(sectionId));
    return badgeGroup.byIndex(index);
  }
}


